com.thinkaurelius.titan.diskstorage.util

## Class StaticArrayEntryList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<Entry>
    - - com.thinkaurelius.titan.diskstorage.util.StaticArrayEntryList

- All Implemented Interfaces:
    EntryList, Iterable<Entry>, Collection<Entry>, List<Entry>

      public class StaticArrayEntryList
      extends AbstractList<Entry>
      implements EntryList

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `StaticArrayEntryList.MetaDataSerializer<V>`

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.diskstorage.EntryList

      `EntryList.EmptyList`

  - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.EntryList

      `EMPTY_LIST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Entry` | `get(int index)`
    `int` | `getByteSize()` Returns the total amount of bytes this entry consumes on the heap - including all object headers.
    `static StaticArrayEntryList.MetaDataSerializer` | `getSerializer(EntryMetaData meta)`
    `static EntryList` | `of(Entry... entries)`
    `static EntryList` | `of(Iterable<Entry> entries)`
    `static <E> EntryList` | `ofByteBuffer(Iterable<E> elements, StaticArrayEntry.GetColVal<E,ByteBuffer> getter)`
    `static <E> EntryList` | `ofByteBuffer(Iterator<E> elements, StaticArrayEntry.GetColVal<E,ByteBuffer> getter)`
    `static <E> EntryList` | `ofBytes(Iterable<E> elements, StaticArrayEntry.GetColVal<E,byte[]> getter)`
    `static <E> EntryList` | `ofStaticBuffer(Iterable<E> elements, StaticArrayEntry.GetColVal<E,StaticBuffer> getter)`
    `static <E> EntryList` | `ofStaticBuffer(Iterator<E> elements, StaticArrayEntry.GetColVal<E,StaticBuffer> getter)`
    `Iterator<Entry>` | `reuseIterator()` Returns the same iterator as `List.iterator()` with the only difference that it reuses `Entry` objects when calling `Iterator.next()`.
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, subList, toArray, toArray`

- - ### Method Detail

    - #### get

          public Entry get(int index)

      Specified by:
        `get` in interface `List<Entry>`
      Specified by:
        `get` in class `AbstractList<Entry>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Entry>`
      Specified by:
        `size` in interface `List<Entry>`
      Specified by:
        `size` in class `AbstractCollection<Entry>`

    - #### getByteSize

          public int getByteSize()

      Description copied from interface: `EntryList`
      Returns the total amount of bytes this entry consumes on the heap - including all object headers.
      Specified by:
        `getByteSize` in interface `EntryList`
      Returns:

    - #### reuseIterator

          public Iterator<Entry> reuseIterator()

      Description copied from interface: `EntryList`
      Returns the same iterator as `List.iterator()` with the only difference that it reuses `Entry` objects when calling `Iterator.next()`. Hence, this method should only be used if references to `Entry` objects are only kept and accesed until the next `Iterator.next()` call.
      Specified by:
        `reuseIterator` in interface `EntryList`
      Returns:

    - #### of

          public static final EntryList of(Entry... entries)

    - #### of

          public static final EntryList of(Iterable<Entry> entries)

    - #### ofBytes

          public static final <E> EntryList ofBytes(Iterable<E> elements,
                              StaticArrayEntry.GetColVal<E,byte[]> getter)

    - #### ofByteBuffer

          public static final <E> EntryList ofByteBuffer(Iterable<E> elements,
                                   StaticArrayEntry.GetColVal<E,ByteBuffer> getter)

    - #### ofStaticBuffer

          public static final <E> EntryList ofStaticBuffer(Iterable<E> elements,
                                     StaticArrayEntry.GetColVal<E,StaticBuffer> getter)

    - #### ofByteBuffer

          public static final <E> EntryList ofByteBuffer(Iterator<E> elements,
                                   StaticArrayEntry.GetColVal<E,ByteBuffer> getter)

    - #### ofStaticBuffer

          public static final <E> EntryList ofStaticBuffer(Iterator<E> elements,
                                     StaticArrayEntry.GetColVal<E,StaticBuffer> getter)

    - #### getSerializer

          public static StaticArrayEntryList.MetaDataSerializer getSerializer(EntryMetaData meta)

Copyright © 2012–2014. All rights reserved.